<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <section>
        <img id="miImagen" src="hack.jpg" alt="Texto alt"
            data-camera="Modelo de la cámara que utilicé"
            data-efecto="Efectos aplicados a esta foto"
            data-geo="Longitud y latitud"
            data-fecha="La fecha en que se tomó la foto">
    </section>

    <script>
        var imgConEfecto = document.querySelectorAll('img[data-efecto]');
        var camera = document.getElementById('miImagen').dataset.camera;
        
        var elemento = document.getElementById('miImagen');
        var cam = elemento.dataset.camara;

        var attribute = elemento.getAttribute("data-geo");
        elemento.setAttribute("data-geo", "ssomeName");

        console.log('atributos data');
        console.log( camera );

    </script>

</body>
</html>